## umview 0.8.2

=== um_rsc/Makefile ===
#   
#   This is part of um-ViewOS
#   The user-mode implementation of OSVIEW -- A Process with a View
#
#   Makefile: global makefile
#   
#   Copyright (C) 2007 Andrea Forni
#   
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License, version 2, as
#   published by the Free Software Foundation.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License along
#   with this program; if not, write to the Free Software Foundation, Inc.,
#   51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA.
#

.PHONY: all server module librsc clean tags
RELEASE=true

all: librsc server module

server:
	make -C server/ all RELEASE=$(RELEASE)

module:
	make -C module/ all RELEASE=$(RELEASE)

librsc:
	make -C librsc/ all RELEASE=$(RELEASE)

tags:
	ctags-exuberant -R .

clean:
	make -C server/ clean RELEASE=$(RELEASE)
	make -C module/ clean RELEASE=$(RELEASE)
	make -C librsc/ clean RELEASE=$(RELEASE)
	rm -fr tags

=== um_rsc/librsc/Makefile ===
#   
#   This is part of Remote System Call (RSC) Library.
#
#   Makefile: library makefile
#   
#   Copyright (C) 2007 Andrea Forni
#   
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License, version 2, as
#   published by the Free Software Foundation.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License along
#   with this program; if not, write to the Free Software Foundation, Inc.,
#   51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA.
#


# If RELEASE is false, the sources are compiled with debug prints
# and some static functions become global functions, in this way
# they can be tested.
RELEASE = true
# If TEST is true, the sources are compiled as if RELEASE = false
# but without debug prints 
TEST = false

MAKE_OVERRIDING_VARS=
CC = gcc
sources = $(shell ls src/*.c)

ifeq ($(TEST), true)
MAKE_OVERRIDING_VARS += "RSCDEBUGLEVEL=0"
RELEASE = false
endif


.PHONY: clean librsc.a
ifeq ($(RELEASE), true)

all: librsc.a 

else
MAKE_OVERRIDING_VARS += "RELEASE=false"
.PHONY: tags
all: librsc.a 

tags:
	ctags-exuberant -R .
endif

librsc.a:
	make -C src/ $(MAKE_OVERRIDING_VARS)
	rm -f $@
	ar rcs $@ ${sources:.c=.o}

clean:
	make -C tests/ clean
	make -C src/ clean	RELEASE=$(RELEASE)
	rm -f tags cscope.out
	rm -f librsc.a

=== um_rsc/librsc_templates/Makefile ===
#   
#   This is part of RSC file generator program
#
#   Makefile: librsc file generator makefile
#   
#   Copyright (C) 2007 Andrea Forni
#   
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License, version 2, as
#   published by the Free Software Foundation.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License along
#   with this program; if not, write to the Free Software Foundation, Inc.,
#   51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA.

.PHONY: templates

templates:
	ruby program/rsc_file_gen.rb input/syscalls_rsc.list input/unistd_files/ input/templates/ ../librsc

=== um_rsc/module/Makefile ===
#   
#   This is part of um-ViewOS
#   The user-mode implementation of OSVIEW -- A Process with a View
#
#   Makefile: UMView RSC module makefile
#   
#   Copyright (C) 2007 Andrea Forni
#   
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License, version 2, as
#   published by the Free Software Foundation.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License along
#   with this program; if not, write to the Free Software Foundation, Inc.,
#   51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA.
#

CC = gcc

RELEASE = true
DEBUGLEVEL = 2
C_DEBUG_FLAGS = -O0 -g -ggdb -DGDEBUG_ENABLED -DGDEBUG_LEVEL=$(DEBUGLEVEL)
C_BASE_FLAGS = -fPIC -Wall -I ../librsc/include/ -I ../../include/
CFLAGS = $(C_BASE_FLAGS)
RSC_LIB = ../librsc/librsc.a

sources = parse_args.c um_rsc.c utils.c
um_rsc_so_prereq = $(sources:.c=.o) ${RSC_LIB}

.PHONY: all clean um_rsc.so
ifeq ($(RELEASE), true)
CFLAGS += -O3

all: um_rsc.so

else
CFLAGS += -O0 $(C_DEBUG_FLAGS)

all: um_rsc.so
clean_lib:
	make -C ../librsc/ clean

.PHNOY: tags
tags:
	ctags-exuberant -R ../../
endif

um_rsc.so: $(um_rsc_so_prereq) 
	$(CC) -shared -o $@ $^

${RSC_LIB}:
	make -C ../librsc/ all

%.d: %.c
	set -e; $(CC) -MM $(CFLAGS) $< \
		| sed 's/\($*\)\.o[ :]*/\1.o $@ : /g' > $@; \
		[ -s $@ ] || rm -f $@

include $(sources:.c=.d)

clean:
	rm -fr um_rsc.so $(sources:.c=.o) $(sources:.c=.d) tags

=== um_rsc/server/Makefile ===
#   
#   This is part of um-ViewOS
#   The user-mode implementation of OSVIEW -- A Process with a View
#
#   Makefile: UMView RSC server makefile
#   
#   Copyright (C) 2007 Andrea Forni
#   
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License, version 2, as
#   published by the Free Software Foundation.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License along
#   with this program; if not, write to the Free Software Foundation, Inc.,
#   51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA.
#

CC = gcc

RELEASE = true
DEBUGLEVEL = 2
C_DEBUG_FLAGS = -O0 -g -ggdb -DGDEBUG_ENABLED -DGDEBUG_LEVEL=$(DEBUGLEVEL)
C_BASE_FLAGS =  -O0 -g -ggdb -Wall -I ../librsc/include/ -I ../../include/ -I ../../
CFLAGS = $(C_BASE_FLAGS)
RSC_LIB = ../librsc/librsc.a

sources = rsc_server.c gdebug.c pollfd_info.c

.PHONY: all clean rsc_server

ifeq ($(RELEASE), true)
CFLAGS += -O3

all: rsc_server

else
CFLAGS += -O0 $(C_DEBUG_FLAGS)

all: rsc_server
clean_lib:
	make -C ../librsc/ clean

.PHNOY: tags
tags:
	ctags-exuberant -R ../../
endif

rsc_server: $(sources:.c=.o) ${RSC_LIB}
	$(CC) -o $@ $^ -ldl -lpthread 

${RSC_LIB}:
	make -C ../librsc/

%.d: %.c
	set -e; $(CC) -MM $(CFLAGS) $< \
		| sed 's/\($*\)\.o[ :]*/\1.o $@ : /g' > $@; \
		[ -s $@ ] || rm -f $@

include $(sources:.c=.d)

clean:
	rm -fr *.so rsc_server $(sources:.c=.o) $(sources:.c=.d) tags

=== um_rsc/librsc/src/Makefile ===
#   
#   This is part of Remote System Call (RSC) Library.
#
#   Makefile: library sources makefile
#   
#   Copyright (C) 2007 Andrea Forni
#   
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License, version 2, as
#   published by the Free Software Foundation.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License along
#   with this program; if not, write to the Free Software Foundation, Inc.,
#   51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA.
#

RSCDEBUGLEVEL = 2
RELEASE = false
C_DEBUG_FLAGS = -O0 -g -ggdb -DRSCDEBUG -DRSC_DEBUG_LEVEL=$(RSCDEBUGLEVEL) 
CFLAGS = -fPIC -Wall -I ../include/ -I ./include/ 
sources = $(shell ls *.c)

.PHONY: all clean

ifeq ($(RELEASE), false)

CFLAGS += ${C_DEBUG_FLAGS}
.PHONY: tags
all: $(sources:.c=.o)
tags:
	ctags-exuberant -R ../
else
CFLAGS += -O3
all: $(sources:.c=.o)
endif # ifeq ($(RELEASE), false)


%.d: %.c
	set -e; $(CC) -MM $(CFLAGS) $< \
		| sed 's/\($*\)\.o[ :]*/\1.o $@ : /g' > $@; \
		[ -s $@ ] || rm -f $@

include $(sources:.c=.d)

clean:
	rm -fr *.o *.d tags

=== um_rsc/librsc/tests/Makefile ===
#   
#   This is part of Remote System Call (RSC) Library.
#
#   Makefile: tests makefile
#   
#   Copyright (C) 2007 Andrea Forni
#   
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License, version 2, as
#   published by the Free Software Foundation.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License along
#   with this program; if not, write to the Free Software Foundation, Inc.,
#   51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA.
#

LIB_RSC_DIR = ../
RSC_LIB = $(LIB_RSC_DIR)librsc.a
CC = gcc
CFLAGS = -Wall -g -O0 -I../include/ -I../src/include/ -Itools/ -DRSCDEBUG
tools_sources = $(shell ls tools/*.c)
sources_no_main = tests.c $(shell ls test_*.c)
sources = $(sources_no_main) $(tools_sources)
.PHONY: clean tgz send run send sppc s64 tags


all: tags client server run

run: tags selftests 
	./selftests


$(RSC_LIB):
	make -C ${LIB_RSC_DIR} TEST='true'

selftests: selftests.c ${sources:.c=.o} $(RSC_LIB) 
	$(CC) $(CFLAGS) -o $@ $^ -lpthread

client: client.c ${sources:.c=.o} $(RSC_LIB) 
	$(CC) $(CFLAGS) -o $@ $^ -lpthread

server: server.c  ${sources:.c=.o} $(RSC_LIB) 
	$(CC) $(CFLAGS) -o $@ $^ -lpthread

tags:
	ctags-exuberant -R ../

%.d: %.c
	set -e; $(CC) -MM $(CFLAGS) $< \
		| sed 's/\($*\)\.o[ :]*/\1.o $@ : /g' > $@; \
		[ -s $@ ] || rm -f $@
include $(this_dir_sources:.c=.d)


cleanlib: clean
	make -C ../ clean
clean: 
	rm -f *.o *.d selftests server client tools/*.o tools/*.d

=== debian/changelog ===
umview (0.8.2-3.1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:17:22 +1100

umview (0.8.2-3.1build1) noble; urgency=medium

  * No-change rebuild against libvdeplug2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Mar 2024 06:00:23 +0000

umview (0.8.2-3.1) unstable; urgency=medium

  * Non-maintainer upload
  * Drop obsolete field DM-Upload-Allowed
  * Convert to source format 3.0 (Closes: #1007280)

  [ Fernando Seiti Furusato ]
  * d/patches: Add ppc64el-syscall.patch in order to take powerpc
    64-bit into account when modifying/defining some macros
  * d/control: Add ppc64el architecture (Closes: #780302)

 -- Bastian Germann <bage@debian.org>  Mon, 02 Oct 2023 17:10:30 +0200

umview (0.8.2-3) unstable; urgency=medium

  * Revert to debhelper's compat level 10

 -- Andrea Capriotti <capriott@debian.org>  Fri, 18 Sep 2020 17:55:10 +0200

umview (0.8.2-2) unstable; urgency=medium

  * d/control: Bump debhelper's compat level to 13 (Closes: 965854)
  * d/control: Standard version bumped to 4.5.0
  * d/control: Add VirtualSquare Uploader

 -- Andrea Capriotti <capriott@debian.org>  Fri, 18 Sep 2020 13:28:22 +0200

umview (0.8.2-1.2) unstable; urgency=medium

  * Maintainers mailing list address updated (Closes: #899562)
  * FTBFS with glibc 2.28 errors fixed (Closes: #916170)
    + new include file <sys/sysmacros.h>

 -- Renzo Davoli <renzo@cs.unibo.it>  Sat, 05 Jan 2019 10:57:20 +0100

umview (0.8.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: um_select.c:177: undefined reference to `__FDELT'":
    apply patch from Ubuntu / Ilya Barygin:
    - Fix FTBFS because of renamed macro.
    (Closes: #707402)
  * Build-depend on libvdeplug-dev, libvdeplug2-dev is only provided by
    libvdeplug-dev.
    Also taken from Ubuntu / Jeremy Bicha.
  * Apply patch from Thomas Funk that removes EPOLL_NONBLOCK.
    (Taken from upstream.)
  * Apply patch from Roland Stigge: add architecture powerpcspe in
    debian/control. (Closes: #734997)

 -- gregor herrmann <gregoa@debian.org>  Sun, 12 Oct 2014 16:25:14 +0200

umview (0.8.2-1) unstable; urgency=low

  * New upstream release
    + Remove um_lwip module (no more needed for lwip networking)
      (Closes: #663671)
    + New viewfs (replaces modifshide)
  * Update copyright file
    + New upstream URL (Closes: #674216)
    + canonicalize.c has been rewritten, removed LGPL part
  * Add libcap-dev and dpkg-dev to Build-Depends
  * Bump to Standards-Version 3.9.3
    + Remove .la files from libumlib-dev
    + Add missing comma in Depends field
  * Switch to machine-readable copyright file
  * Remove empty .dirs files

 -- Ludovico Gardenghi <garden@debian.org>  Sun, 17 Jun 2012 01:52:55 +0200

umview (0.6-1) unstable; urgency=low

  [ Filippo Giunchedi ]
  * Add DM-Upload-Allowed field

  [ Ludovico Gardenghi ]
  * New upstream release
    + Fix "FTBFS: Cannot find linux/dirent.h" (new upstream corrects the
      path name and includes a .h with the needed definitions which are no
      more accessible.) (Closes: #527518)
  * Update standard-version to 3.8.1 (no changes needed).
  * Added missing misc:Depends to libumlib-dev.
  * Changed garden@acheronte.it with garden@debian.org.
  * Fixed versionless license file names.

 -- Ludovico Gardenghi <garden@debian.org>  Sun, 14 Jun 2009 20:49:41 +0200

umview (0.5-2) unstable; urgency=low

  * umview must recommend libpurelibc1, not 0.

 -- Ludovico Gardenghi <garden@acheronte.it>  Mon, 23 Jun 2008 15:48:33 +0200

umview (0.5-1) unstable; urgency=low

  [ Ludovico Gardenghi ]
  * New upstream release
    + fix loading of lwipv6 (Closes: #470462)
    + fix building on amd64 (Closes: #417047)
    + fix wrong include (Closes: #479979)

  [ Filippo Giunchedi ]
  * Move libumlib0-dev to libumlib-dev 
  * Update standard-versions to 3.8.0 (add Homepage and change Source-Version) 

 -- Filippo Giunchedi <filippo@debian.org>  Wed, 18 Jun 2008 22:29:59 +0200

umview (0.4a-2) unstable; urgency=low

  * Fix umlib0-dev dependencies

 -- Guido Trotter <ultrotter@debian.org>  Tue, 13 Feb 2007 17:32:46 -0800

umview (0.4a-1) unstable; urgency=low

  [ Debian VSquare Team ]
  * Initial release

  [ Guido Trotter ]
  * Fix Build Dependencies
  * The "valentine for reenzo" release

 -- Guido Trotter <ultrotter@debian.org>  Tue, 13 Feb 2007 16:32:10 -0800

=== debian/control ===
Source: umview
Section: misc
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian VSquare Team <virtualsquare@cs.unibo.it>
Uploaders: Ludovico Gardenghi <garden@debian.org>, Guido Trotter <ultrotter@debian.org>, Filippo Giunchedi <filippo@debian.org>, Andrea Capriotti <capriott@debian.org>
Build-Depends: debhelper (>= 10), libcap-dev, libvdeplug-dev, libfuse-dev, liblwipv6-dev, libglib2.0-dev, cdbs, dpkg-dev (>= 1.16.1~)
Homepage: http://view-os.sourceforge.net
Standards-Version: 4.5.0

Package: umview
Architecture: i386 amd64 powerpc powerpcspe ppc64 ppc64el
Depends: libumlib0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Recommends: kernel-patch-viewos, libpurelibc1
Suggests: umview-mod-umdevtap, umview-mod-umlwip
Description: View-OS in user space - Core and base modules
 View-OS is a novel approach to the process/kernel interface.  The semantics of
 each system call can be assigned process by process giving the user the right
 to decide which view of the system each process has to join.  Each process can
 "see" a different file system structure, networking resources, processor,
 devices.  Moreover some of the resources can be provided by the user
 him/herself, thus these resource can be private to the single process and are
 not known a priori by the system.  Groups of processes can share the same view
 but this is just an optimization to share management methods.
 .
 For more information, see http://wiki.virtualsquare.org
 .
 UMView is a user-mode implementation of View-OS.  Processes are run with a
 controlling daemon that captures all the system calls (at present using the
 ptrace() system call) and uses dynamically loadable modules to change their
 semantic.
 .
 This package contains the UMView controlling daemon and some modules, both
 for testing and for real use.  Other modules are contained in separate
 packages because they depend on additional libraries.

Package: libumlib0
Architecture: i386 amd64 powerpc powerpcspe ppc64 ppc64el
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: View-OS in user space - Support library for modules
 View-OS is a novel approach to the process/kernel interface.  The semantics of
 each system call can be assigned process by process giving the user the right
 to decide which view of the system each process has to join.  Each process can
 "see" a different file system structure, networking resources, processor,
 devices.  Moreover some of the resources can be provided by the user
 him/herself, thus these resource can be private to the single process and are
 not known a priori by the system.  Groups of processes can share the same view
 but this is just an optimization to share management methods.
 .
 For more information, see http://wiki.virtualsquare.org
 .
 UMView is a user-mode implementation of View-OS.  Processes are run with a
 controlling daemon that captures all the system calls (at present using the
 ptrace() system call) and uses dynamically loadable modules to change their
 semantic.
 .
 This package contains a library with common functions used by every UMView
 module.

Package: libumlib-dev
Architecture: i386 amd64 powerpc powerpcspe ppc64 ppc64el
Conflicts: libumlib0-dev
Replaces: libumlib0-dev
Section: libdevel
Depends: libumlib0 (= ${binary:Version}), ${misc:Depends}
Description: View-OS in user space - Development files
 View-OS is a novel approach to the process/kernel interface.  The semantics of
 each system call can be assigned process by process giving the user the right
 to decide which view of the system each process has to join.  Each process can
 "see" a different file system structure, networking resources, processor,
 devices.  Moreover some of the resources can be provided by the user
 him/herself, thus these resource can be private to the single process and are
 not known a priori by the system.  Groups of processes can share the same view
 but this is just an optimization to share management methods.
 .
 For more information, see http://wiki.virtualsquare.org
 .
 UMView is a user-mode implementation of View-OS.  Processes are run with a
 controlling daemon that captures all the system calls (at present using the
 ptrace() system call) and uses dynamically loadable modules to change their
 semantic.
 .
 This package contains headers and library needed to write and compile new
 UMView modules. For some simple module examples, you can take a look to the
 existing modules (expecially in the um_testmodule directory of the source
 tree).

Package: umview-mod-umlwip
Architecture: i386 amd64 powerpc powerpcspe ppc64 ppc64el
Depends: libumlib0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: View-OS in user space - LWIPv6 gateway module
 View-OS is a novel approach to the process/kernel interface.  The semantics of
 each system call can be assigned process by process giving the user the right
 to decide which view of the system each process has to join.  Each process can
 "see" a different file system structure, networking resources, processor,
 devices.  Moreover some of the resources can be provided by the user
 him/herself, thus these resource can be private to the single process and are
 not known a priori by the system.  Groups of processes can share the same view
 but this is just an optimization to share management methods.
 .
 For more information, see http://wiki.virtualsquare.org
 .
 UMView is a user-mode implementation of View-OS.  Processes are run with a
 controlling daemon that captures all the system calls (at present using the
 ptrace() system call) and uses dynamically loadable modules to change their
 semantic.
 .
 This package contains the umnewlwipv6 module, a gateway to the LWIPv6
 user-level networking library (see liblwipv6-2).  It makes possible for
 processes inside UMView to use virtual network interfaces that are connected
 to the external world through a TUN/TAP device or a VDE switch.

Package: umview-mod-umdevtap
Architecture: i386 amd64 powerpc powerpcspe ppc64 ppc64el
Depends: libumlib0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: View-OS in user space - Virtual TUN/TAP module
 View-OS is a novel approach to the process/kernel interface.  The semantics of
 each system call can be assigned process by process giving the user the right
 to decide which view of the system each process has to join.  Each process can
 "see" a different file system structure, networking resources, processor,
 devices.  Moreover some of the resources can be provided by the user
 him/herself, thus these resource can be private to the single process and are
 not known a priori by the system.  Groups of processes can share the same view
 but this is just an optimization to share management methods.
 .
 For more information, see http://wiki.virtualsquare.org
 .
 UMView is a user-mode implementation of View-OS.  Processes are run with a
 controlling daemon that captures all the system calls (at present using the
 ptrace() system call) and uses dynamically loadable modules to change their
 semantic.
 .
 This package contains a sub-module for umdev.  umdev is contained in the main
 UMView package and allows virtualization of character and block devices.
 umdevtap creates a virtual TUN/TAP interface (i.e. /dev/net/tun).  On the
 outer side, UMView opens a connection to a VDE switch.

Package: umview-mod-viewfs
Architecture: i386 amd64 powerpc powerpcspe ppc64 ppc64el
Depends: libumlib0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: View-OS in user space - Filesystem mangling modules
 View-OS is a novel approach to the process/kernel interface.  The semantics of
 each system call can be assigned process by process giving the user the right
 to decide which view of the system each process has to join.  Each process can
 "see" a different file system structure, networking resources, processor,
 devices.  Moreover some of the resources can be provided by the user
 him/herself, thus these resource can be private to the single process and are
 not known a priori by the system.  Groups of processes can share the same view
 but this is just an optimization to share management methods.
 .
 For more information, see http://wiki.virtualsquare.org
 .
 UMView is a user-mode implementation of View-OS.  Processes are run with a
 controlling daemon that captures all the system calls (at present using the
 ptrace() system call) and uses dynamically loadable modules to change their
 semantic.
 .
 This package contains (very experimental) modules that allow filesystem
 namespace mangling (as hiding some portions of the filesystem, creating COW
 subtrees and so on).

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_CONFIGURE_EXTRA_FLAGS = --disable-python

binary-post-install/umview::
	for package in $(CURDIR)/debian/umview-mod-*.install; do \
		cat $$package | while read file destdir; do \
			if [ -z "$$destdir" ]; then \
				stripped_file="$$(echo "$$file" | cut -d/ -f3-)" ; \
				rm -vf $(CURDIR)/debian/umview/$$stripped_file; \
			fi; \
		done; \
	done

=== debian/watch ===
version=3
http://sf.net/view-os/umview-(.*)\.tar\.gz
